Update a folder

View as Markdown
Updates a folder in a collection. For a complete list of properties, refer to the **Folder** entry in the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html). **Note:** This endpoint acts like a PATCH method. It only updates the values that you pass in the request body (for example, the `name` property). The endpoint does not update the entire resource.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

folderIdstringRequired
The folder's ID.
collectionIdstringRequired
The collection's ID.

Request

This endpoint expects an object.
namestringOptional
The folder's name.
descriptionstringOptional
The folder's description.

Response

Successful Response
dataobject

The folder’s updated information, including the updated properties. For a complete list of properties, refer to the Postman Collection Format documentation.

metamap from strings to any

A Postman-specific response that contains information about the internal performed operation.

model_idstring
The folder's ID.
revisiondouble
An internal revision ID. Its value increments each time the resource changes. You can use this ID to track whether there were changes since the last time you fetched the resource.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error